public class ContaLetras implements Corrente {
	Corrente sucessor = new FimDaLinha();
	String texto = "";
	char letra;
	int letras = 0;
	public ContaLetras(char letra) {
		 this.letra = letra;
	}
	public String getDados() {
		return texto + "\n" + sucessor.getDados();
	}
	public void processar(char[] dados) {
		for (int i = 0; i < dados.length; i++) {
			if (dados[i] == letra) {
				++letras;
			}
		}
		texto = "Letras '" + letra + "': "+ letras;
		sucessor.processar(dados);
	}
}
